function [comp]=add_sys_klP(comp)
% function [comp]=add_sys_klP(comp)
% Adds for all systems:
% 1) The system specific indicator probabilities.
% 2) The KL distance between the systems indicator
%    probabilities and the overall indicator probability.
% 3) The system specific overall probability measure.
% 4) The KL distance between the system specfic measure 
%    and the overall probability measure.
%
% (C) P. Sykacek 2005

% corresponding output to sysfile.
% if havefolds
%   save(resfname, 'alltraintarg', 'vbprb', 'subsprobs', 'indprobs', 'KLsysind', 'P_sysind', 'KLsysmsr',...
%       'P_sysmsr', 'Pclass', 'truetargs', 'gtargs', 'alltrdx', 'alltsdx', 'havefolds', 'foldpred');
% else
%   save(resfname, 'alltraintarg', 'vbprb', 'subsprobs', 'indprobs', 'KLsysind', 'P_sysind', 'KLsysmsr',...
%       'P_sysmsr', 'Pclass', 'truetargs', 'gtargs', 'alltrdx', 'alltsdx', 'havefolds');
% end
if syschck('mlb')
    alldat=load(comp.simfname);
else
    alldat=load('-mat', comp.simfname);
end

comp.have_sys_klP=0;
if isfield(alldat, 'KLsysind')
    comp.have_sys_klP=1;
    comp.KLsysind=alldat.KLsysind;
    comp.P_sysind=alldat.P_sysind;
    comp.KLsysmsr=alldat.KLsysmsr;
    comp.P_sysmsr=alldat.P_sysmsr;
    % finally produce indices for iullustrations that do not "wobble" too
    % much
    [sp, dx]=sort(comp.indP);
    comp.dxid=flipud(dx(:));
    [sp, dx]=sort(comp.subsP);
    comp.dxmsr=flipud(dx(:));
end