function rankgenes2file(comp, ranklist)
% function rankgenes2file(comp, ranklist)
% writes the entire rank list to a file.
%
% IN
% comp - comparison in particular here:
% comp.rankinfo      information that specifies how rank information is written into the latex table and into the file 
% rankinfo.header    header line in file and latex table
% rankinfo.fname     file name of csv file that stores all gene symbols, gene desciptions and both probabilty measures.
% rankinfo.csvfileid column ids that go into file
% ranklist      ranklist as generated by genranktab.
%               the latter has structure: symbol, extended name,
%               id-probability, gene measure, cumulative gene measure.
%
% (C) P. Sykacek 2005

% first define file stuff
fileheader=comp.rankinfo.header(comp.rankinfo.csvfileid);
filelist=ranklist(:, comp.rankinfo.csvfileid);
franklist=[fileheader; filelist];
% and export the whole cell array to a csv file (we quote all strings).
csvexport(comp.rankinfo.fname, franklist, 0, 1);